Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class ToolbarSpacer

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.BaseExtWidget
                  com.gwtext.client.widgets.ToolbarItem
                      com.gwtext.client.widgets.ToolbarSpacer

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

    public class ToolbarSpacer

extends ToolbarItem

Toolbar spacer class.

Field Summary

Fields inherited from class com.gwtext.client.widgets.BaseExtWidget
`jsObj`

Constructor Summary
`ToolbarSpacer()` Create a new Spacer.

Method Summary

Methods inherited from class com.gwtext.client.widgets.ToolbarItem
`destroy, disable, enable, focus, getElement, hide, hideRendered, isRendered, setVisible, show`

Methods inherited from class com.gwtext.client.widgets.BaseExtWidget
`equals, getEl, getElement, getJsObj, getOffsetHeight, getOffsetWidth, getStyleElement, getTitle, hashCode, isVisible, onAttach, onLoad, purgeListeners, setHeight, setJsObj, setTitle, setWidth, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onBrowserEvent, onDetach, onUnload, removeFromParent, setElement`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, removeStyleName, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToolbarSpacer

    public ToolbarSpacer()

  Create a new Spacer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD